# frozen_string_literal: true

# coding: utf-8

lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'lintress/version'

Gem::Specification.new do |spec|
  spec.name          = 'lintress'
  spec.version       = Lintress::VERSION
  spec.authors       = ['Owajigbanam Ogbuluijah']
  spec.email         = ['xigbanam@gmail.com']

  spec.summary       = 'Code Transformer'
  spec.description   = 'Perform code transformations to reolve RuboCop offenses'
  spec.homepage      = ''
  spec.license       = 'MIT'

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = 'exe'
  spec.executables   = ['lintress']
  # spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  spec.add_dependency 'rubocop'

  spec.add_development_dependency 'bundler', '~> 1.14'
  spec.add_development_dependency 'rake', '~> 10.0'
  spec.add_development_dependency 'rspec', '~> 3.0'
end
